ru.bitel.bgbilling.modules.dialup.radius.event

## Class SessionStoppedEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.bgbilling.modules.dialup.radius.event.SessionStoppedEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class SessionStoppedEvent
      extends LocalEvent

  Синхронное событие - сессия завершена.
  Синхронное событие, генерируется при завершении RADIUS сессии по Accounting Stop пакету.
  Синхронное, выполняется в контексте BGRadiusDialup.
  Унаследован от `LocalEvent`
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionStoppedEvent(int moduleId, ru.bitel.bgbilling.modules.dialup.radius.DialUpNasConnection nasCon, RadiusPacket stopPacket)` Конструктор события.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ru.bitel.bgbilling.modules.dialup.radius.DialUpNasConnection` | `getNasConnection()` Возвращает соединение.
    `bitel.billing.server.processor.dialup.DialUpSessionRealtime` | `getSession()` Возвращает сессию.
    `RadiusPacket` | `getStopPacket()` Возвращает RADIUS Accounting Stop пакет.

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SessionStoppedEvent

          public SessionStoppedEvent(int moduleId,
                                     ru.bitel.bgbilling.modules.dialup.radius.DialUpNasConnection nasCon,
                                     RadiusPacket stopPacket)

      Конструктор события.
      Parameters:
        `moduleId` - - код модуля
        `nasCon` - - dialup nass connection
        `stopPacket` - - радиус стоп пакет

  - ### Method Detail

    - #### getNasConnection

          public ru.bitel.bgbilling.modules.dialup.radius.DialUpNasConnection getNasConnection()

      Возвращает соединение.
      Returns:
        nasCon - dialup nas connection

    - #### getSession

          public bitel.billing.server.processor.dialup.DialUpSessionRealtime getSession()

      Возвращает сессию.
      Returns:
        session - сессия данного соединения

    - #### getStopPacket

          public RadiusPacket getStopPacket()

      Возвращает RADIUS Accounting Stop пакет.
      Returns:
        stopPacket - радиус стоп пакет